Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007004opensim[GRID] Asset Servicepublic2014-02-11 08:332014-08-10 15:46
ReporterMata Hari 
Assigned Tomelanie 
PrioritynormalSeveritymajorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformIntel i7 930 quad coreOSWindows .NETOS VersionWin7 x64
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0007004: Accessing texture from inventory or attempting to upload new one sometimes fails
DescriptionFrequently when attempting to upload a new texture or access an existing texture file that is in my inventory it will fail (after a *very* long delay) with a console error (see below). Anything else I try to do during this time (view a different texture, upload a different texture, wear an attachment, remove an attachment, etc) will also not occur until after the long delay and subsequent error message.

The issue does not occur with every attempt...usually only after I have been "inactive" for a while as far as building/uploading/texturing goes...perhaps 30+ minutes since I last did something other than chat/walk around/change outfit/etc.

I have only been experiencing this issue since January. Currently it occurs using OSG's current build (966ab21839d9cccf66b440834cd8b469f7b19e2d : [r/24256]) and it was occurring both before and now after OSG's Robust server update of Feb 1st. I do not recall experiencing anything of this sort prior to the Avination code dump in December so I would guess that it's a related issue. I experience the problem on both my dual-core linux (Ubuntumono) and quad core (Win 7/.NET 4.x) installs so it appears not to be a system-related issue.

The following is a log of a new texture upload attempt....note the repeated instances of "<filename unknown>" which I assume should not be happening. Whatever file it is supposed to be must be present because I can immediately re-attempt the upload (after the first attempt fails) and it is successful.

11:11:22 - [BUNCH OF CAPS]: Uploaded asset ddee2262-394b-4fac-ab4d-50b663e3a09d for inventory item 824ccea2-ec92-4f89-8e68-16b9205c8363, inv type texture, asset type texture
11:13:03 - [FORMS]: InvalidOperationException on receiving POST http://inventory.osgrid.org/xinventory [^]
11:13:03 - [FORMS]: Slow request 1364 POST http://inventory.osgrid.org/xinventory [^] took 99999ms, 0ms writing, AssetID=ddee2262-394b-4fac-ab4d-50b663e3a09d&AssetType=0&Name=heart+lace+black+on+dark+black&Owner=4
11:13:03 - [BASE HTTP SERVER]: HandleRequest() threw at Mono.Xml2.XmlTextReader.Read () [0x00000] in <filename unknown>:0
  at System.Xml.XmlTextReader.Read () [0x00000] in <filename unknown>:0
  at System.Xml.XmlDocument.ReadNodeCore (System.Xml.XmlReader reader) [0x00000] in <filename unknown>:0
  at System.Xml.XmlDocument.ReadNode (System.Xml.XmlReader reader) [0x00000] in <filename unknown>:0
  at System.Xml.XmlDocument.Load (System.Xml.XmlReader xmlReader) [0x00000] in <filename unknown>:0
  at System.Xml.XmlDocument.LoadXml (System.String xml) [0x00000] in <filename unknown>:0
  at OpenSim.Server.Base.ServerUtils.ParseXmlResponse (System.String data) [0x00000] in <filename unknown>:0
  at OpenSim.Services.Connectors.XInventoryServicesConnector.MakeRequest (System.String method, System.Collections.Generic.Dictionary`2 sendData) [0x00000] in <filename unknown>:0
  at OpenSim.Services.Connectors.XInventoryServicesConnector.AddItem (OpenSim.Framework.InventoryItemBase item) [0x00000] in <filename unknown>:0
  at OpenSim.Region.CoreModules.ServiceConnectorsOut.Inventory.RemoteXInventoryServicesConnector.AddItem (OpenSim.Framework.InventoryItemBase item) [0x00000] in <filename unknown>:0
  at OpenSim.Region.CoreModules.ServiceConnectorsOut.Inventory.HGInventoryBroker.AddItem (OpenSim.Framework.InventoryItemBase item) [0x00000] in <filename unknown>:0
  at OpenSim.Region.Framework.Scenes.Scene.AddInventoryItem (OpenSim.Framework.InventoryItemBase item) [0x00000] in <filename unknown>:0
  at OpenSim.Region.Framework.Scenes.Scene.AddUploadedInventoryItem (UUID agentID, OpenSim.Framework.InventoryItemBase item) [0x00000] in <filename unknown>:0
  at OpenSim.Region.ClientStack.Linden.BunchOfCaps.UploadCompleteHandler (System.String assetName, System.String assetDescription, UUID assetID, UUID inventoryItem, UUID parentFolder, System.Byte[] data, System.String inventoryType, System.String assetType) [0x00000] in <filename unknown>:0
  at OpenSim.Region.ClientStack.Linden.AssetUploader.uploaderCaps (System.Byte[] data, System.String path, System.String param) [0x00000] in <filename unknown>:0
  at OpenSim.Framework.Servers.HttpServer.BinaryStreamHandler.ProcessRequest (System.String path, System.IO.Stream request, IOSHttpRequest httpRequest, IOSHttpResponse httpResponse) [0x00000] in <filename unknown>:0
  at OpenSim.Framework.Servers.HttpServer.BaseStreamHandler.Handle (System.String path, System.IO.Stream request, IOSHttpRequest httpRequest, IOSHttpResponse httpResponse) [0x00000] in <filename unknown>:0
  at OpenSim.Framework.Servers.HttpServer.BaseHttpServer.HandleRequest (OpenSim.Framework.Servers.HttpServer.OSHttpRequest request, OpenSim.Framework.Servers.HttpServer.OSHttpResponse response) [0x00000] in <filename unknown>:0 System.Xml.XmlException: Document element did not appear. Line 1, position 1.
  at Mono.Xml2.XmlTextReader.Read () [0x00000] in <filename unknown>:0
  at System.Xml.XmlTextReader.Read () [0x00000] in <filename unknown>:0
  at System.Xml.XmlDocument.ReadNodeCore (System.Xml.XmlReader reader) [0x00000] in <filename unknown>:0
  at System.Xml.XmlDocument.ReadNode (System.Xml.XmlReader reader) [0x00000] in <filename unknown>:0
  at System.Xml.XmlDocument.Load (System.Xml.XmlReader xmlReader) [0x00000] in <filename unknown>:0
  at System.Xml.XmlDocument.LoadXml (System.String xml) [0x00000] in <filename unknown>:0
  at OpenSim.Server.Base.ServerUtils.ParseXmlResponse (System.String data) [0x00000] in <filename unknown>:0
  at OpenSim.Services.Connectors.XInventoryServicesConnector.MakeRequest (System.String method, System.Collections.Generic.Dictionary`2 sendData) [0x00000] in <filename unknown>:0
  at OpenSim.Services.Connectors.XInventoryServicesConnector.AddItem (OpenSim.Framework.InventoryItemBase item) [0x00000] in <filename unknown>:0
  at OpenSim.Region.CoreModules.ServiceConnectorsOut.Inventory.RemoteXInventoryServicesConnector.AddItem (OpenSim.Framework.InventoryItemBase item) [0x00000] in <filename unknown>:0
  at OpenSim.Region.CoreModules.ServiceConnectorsOut.Inventory.HGInventoryBroker.AddItem (OpenSim.Framework.InventoryItemBase item) [0x00000] in <filename unknown>:0
  at OpenSim.Region.Framework.Scenes.Scene.AddInventoryItem (OpenSim.Framework.InventoryItemBase item) [0x00000] in <filename unknown>:0
  at OpenSim.Region.Framework.Scenes.Scene.AddUploadedInventoryItem (UUID agentID, OpenSim.Framework.InventoryItemBase item) [0x00000] in <filename unknown>:0
  at OpenSim.Region.ClientStack.Linden.BunchOfCaps.UploadCompleteHandler (System.String assetName, System.String assetDescription, UUID assetID, UUID inventoryItem, UUID parentFolder, System.Byte[] data, System.String inventoryType, System.String assetType) [0x00000] in <filename unknown>:0
  at OpenSim.Region.ClientStack.Linden.AssetUploader.uploaderCaps (System.Byte[] data, System.String path, System.String param) [0x00000] in <filename unknown>:0
  at OpenSim.Framework.Servers.HttpServer.BinaryStreamHandler.ProcessRequest (System.String path, System.IO.Stream request, IOSHttpRequest httpRequest, IOSHttpResponse httpResponse) [0x00000] in <filename unknown>:0
  at OpenSim.Framework.Servers.HttpServer.BaseStreamHandler.Handle (System.String path, System.IO.Stream request, IOSHttpRequest httpRequest, IOSHttpResponse httpResponse) [0x00000] in <filename unknown>:0
  at OpenSim.Framework.Servers.HttpServer.BaseHttpServer.HandleRequest (OpenSim.Framework.Servers.HttpServer.OSHttpRequest request, OpenSim.Framework.Servers.HttpServer.OSHttpResponse response) [0x00000] in <filename unknown>:0
11:13:03 - [BASE HTTP SERVER]: Slow handling of 868 POST /CAPS/3f9f1a10-63a7-41e7-83f7-66d45ca7f7905474 NewAgentInventoryRequest 40b437d8-3ba9-4dfe-c8eb-4826bb458433 from 173.33.252.80:59438 took 28561ms

TagsNo tags attached.
Git Revision or version number24256
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Environment.NET / Windows64
Mono Version2.10
ViewerFirestorm 4.5.1 (38838)
Attached Files

- Relationships
related to 0006988assignedmelanie Master report for issues caused by Avinaion code drop - please link issues that qualify to this as children 

-  Notes
(0025161)
melanie (administrator)
2014-02-11 08:56

This is not a bug, the inventory server the sim was run against didn't respond. Please check your network connectivity and ROBUST settings as well as the servers it's run on.

The "Filename unknown" is caused by reading a network stream, not a file, and is therefore expected.
(0025162)
melanie (administrator)
2014-02-11 08:56

Setting this to feedback to hear from the OP.

IMHO, this is completely unrelated to the changes made as that code wasn't touched.
(0025163)
Mata Hari (reporter)
2014-02-11 09:36

The above example occurred when I was attempting to upload a new texture while on my OSG avi so I do not have the ability to check the ROBUST settings (but perhaps you know what OSG uses?). In general I have no connectivity issues between my region server and OSG's asset server.

This also occurs on my multi-region standalone where network latency is impossible...the viewer is being used on the same computer that is hosting the region/standalone and is "connecting" via localhost,

In both cases, this has only been happening in the last 4-6 weeks so while it's possible that it isn't related to the Avination code changes, *something* changed at around that time which has introduced the issue.

This *only* happens when either attempting to upload a texture or when attempting to view/apply a texture that is already in my inventory (I haven't tested whether it would also happen with sculpties). It does not happen with any other assets.
(0025332)
justincc (administrator)
2014-02-27 17:04

Hi Mata. Please try git master 1f4f09a when you can. This will not fix the problem but adds some more debug info which may give a clue as to what's happening.
(0025333)
danbanner (manager)
2014-02-27 17:08

"usually only after I have been "inactive" for a while as far as building/uploading/texturing goes...perhaps 30+ minutes" perhaps related to a power management feature of the host?
(0025335)
Mata Hari (reporter)
2014-02-28 05:38

@Dan: I'd thought of that so I changed (disabled) my power management settings on that box for several days -- no appreciable difference. When I'm standing on my sim there's always a certain small amount of traffic/activity with the host machine anyway, and if it related to power management shouldn't it affect all asset fetching, not just textures?

@Justin: d/l and installed this morning...I'll report back with new messages once I have a few. Just finishing off a new mesh outfit so I ought to see some more later in the day when I upload it and begin texturing.
(0025400)
wbalazic (reporter)
2014-03-09 23:54

We are having similar asset issues. I've mentioned this to Justin in e-mail. I'm sure we have no network connectivity issue to robust as our servers are running in the same datacenter as OSGrid, and are running on a fiber GB internal backbone. I've also run some ping tests between the region and robust and sql servers and have seen no drop in the network.
(0026640)
Mata Hari (reporter)
2014-07-30 06:20

Marking as resolved as it has been several months since I last experienced this issue. If anyone else still encounters it they can open a new report

- Issue History
Date Modified Username Field Change
2014-02-11 08:33 Mata Hari New Issue
2014-02-11 08:34 Mata Hari Relationship added related to 0006988
2014-02-11 08:56 melanie Note Added: 0025161
2014-02-11 08:56 melanie Note Added: 0025162
2014-02-11 08:56 melanie Assigned To => melanie
2014-02-11 08:56 melanie Status new => feedback
2014-02-11 09:36 Mata Hari Note Added: 0025163
2014-02-11 09:36 Mata Hari Status feedback => assigned
2014-02-27 17:04 justincc Note Added: 0025332
2014-02-27 17:08 danbanner Note Added: 0025333
2014-02-28 05:38 Mata Hari Note Added: 0025335
2014-03-09 23:54 wbalazic Note Added: 0025400
2014-07-30 06:20 Mata Hari Note Added: 0026640
2014-07-30 06:20 Mata Hari Status assigned => resolved
2014-07-30 06:20 Mata Hari Fixed in Version => master (dev code)
2014-07-30 06:20 Mata Hari Resolution open => fixed
2014-08-10 15:46 Mata Hari Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker